#!/bin/sh

TESTDIR=_tests

CURTEST=1

curtestname() {
    echo ${TESTDIR}/`printf %03d $CURTEST`.dat
}
curansname() {
    echo ${TESTDIR}/`printf %03d $CURTEST`.ans
}
gen_ans() {
    ./pyr < `curtestname` | grep -v '^@' > `curansname`
}

fromfile() {
    cp $1 `curtestname`
    gen_ans
}

frommap() {
    ./map2hex < $1 > `curtestname`
    gen_ans
}





mkdir -p $TESTDIR

for F in 8x8_single.dat 8x8_small2.dat 8x8_small3.dat 8x8_small4.dat \
   8x8_smaller.dat 8x8_2x2.dat 8x8_hall.dat 16x16_4hall.dat 80x80_hall.dat;
do
    fromfile $F
    CURTEST=$(( CURTEST+1 ))
done

for F in 80x80_smart.map ;
do
    frommap $F
    CURTEST=$(( CURTEST+1 ))
done

./gener

for F in _gener*.dat;
do
    fromfile $F
    CURTEST=$(( CURTEST+1 ))
done

